# dictionary-sr

Serbian spelling dictionary.

## What is this?

This is a Serbian dictionary,
generated by [`wooorm/dictionaries`][dictionaries] from
[`grakic/hunspell-sr`][source],
normalized and packaged so that it can be installed and used like other
dictionaries.

## When should I use this?

You can use this package when integrating with tools that perform spell checking
(such as [`nodehun`][nodehun], [`nspell`][nspell]) or when making such tools.

## Install

In Node.js (version 12.20+, 14.14+, or 16.0+), install with [npm][]:

```sh
npm install dictionary-sr
```

## Use

```js
import dictionarySr from 'dictionary-sr'

dictionarySr(function (error, sr) {
  if (error) throw error
  console.log(sr)
  // To do: use `sr` somehow
})
```

Yields:

```js
{dic: <Buffer>, aff: <Buffer>}
```

Where `dic` and `aff` are [`Buffer`][buffer]s for `index.dic` and `index.aff`
respectively.

## Examples

See the [monorepo readme][dictionaries] for examples.

## Types

This package is typed with [TypeScript][].

## Contribute

See the [monorepo readme][dictionaries] for how to contribute.

> 👉 **Note**: dictionaries are not maintained here.
> Report spelling problems upstream ([`grakic/hunspell-sr`][source]).

## License

Dictionary and affix file: [(GPL-2.0 OR LGPL-2.1 OR MPL-1.1 OR CC-BY-SA-3.0)](https://github.com/wooorm/dictionaries/blob/main/dictionaries/sr/license).
Rest: [MIT][] © [Titus Wormer][home].

[hunspell]: https://hunspell.github.io

[nodehun]: https://github.com/nathanjsweet/nodehun

[nspell]: https://github.com/wooorm/nspell

[macos]: https://github.com/wooorm/dictionaries#example-use-with-macos

[source]: https://github.com/grakic/hunspell-sr

[npm]: https://docs.npmjs.com/cli/install

[dictionaries]: https://github.com/wooorm/dictionaries

[mit]: https://github.com/wooorm/dictionaries/blob/main/license

[buffer]: https://nodejs.org/api/buffer.html#buffer_buffer

[home]: https://wooorm.com

[typescript]: https://www.typescriptlang.org
